commit: bb474b9fda256ab0fb0214c6c2f014481423f36f
Author: Ole Reifschneider <tranquility <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 11 20:44:46 2015 +0000
Commit: Ole Reifschneider <tranquility <AT> gentoo <DOT> org>
CommitDate: Sun Oct 11 20:46:14 2015 +0000
URL: https://gitweb.gentoo.org/proj/gnome.git/commit/?id=bb474b9f
x11-terms/gnome-terminal: Bump version to 3.18.0
The patches couln't be applied so they are removed for now
Package-Manager: portage-2.2.20.1
Manifest-Sign-Key: 7E8B4D42
...al-9999.ebuild => gnome-terminal-3.18.0.ebuild} | 35 ++++------------------
.../gnome-terminal/gnome-terminal-9999.ebuild | 22 +++++++-------
2 files changed, 16 insertions(+), 41 deletions(-)
diff --git a/x11-terms/gnome-terminal/gnome-terminal-9999.ebuild
b/x11-terms/gnome-terminal/gnome-terminal-3.18.0.ebuild
similarity index 64%
copy from x11-terms/gnome-terminal/gnome-terminal-9999.ebuild
copy to x11-terms/gnome-terminal/gnome-terminal-3.18.0.ebuild
index 8673595..1809985 100644
--- a/x11-terms/gnome-terminal/gnome-terminal-9999.ebuild
+++ b/x11-terms/gnome-terminal/gnome-terminal-3.18.0.ebuild
@@ -7,27 +7,20 @@ GCONF_DEBUG="no"
GNOME2_LA_PUNT="yes"
inherit eutils gnome2 readme.gentoo
-if [[ ${PV} = 9999 ]]; then
- inherit gnome2-live
-fi
DESCRIPTION="The Gnome Terminal"
HOMEPAGE="https://wiki.gnome.org/Apps/Terminal/"
LICENSE="GPL-3+"
SLOT="0"
-IUSE="debug +gnome-shell +nautilus vanilla"
-if [[ ${PV} = 9999 ]]; then
- KEYWORDS=""
-else
- KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86
~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux ~arm-linux ~x86-linux"
-fi
+IUSE="debug +gnome-shell +nautilus"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~x86-fbsd
~x86-freebsd ~x86-interix ~amd64-linux ~arm-linux ~x86-linux"
# FIXME: automagic dependency on gtk+[X]
RDEPEND="
- >=dev-libs/glib-2.40:2[dbus]
+ >=dev-libs/glib-2.42:2[dbus]
>=x11-libs/gtk+-3.10:3[X]
- >=x11-libs/vte-0.40.2:2.91
+ >=x11-libs/vte-0.42.0:2.91
>=gnome-base/dconf-0.14
>=gnome-base/gsettings-desktop-schemas-0.1.0
sys-apps/util-linux
@@ -52,32 +45,14 @@ DOC_CONTENTS="To get previous working directory inherited
in new opened
tab you will need to add the following line to your ~/.bashrc:\n
. /etc/profile.d/vte.sh"
-src_prepare() {
- gnome2_src_prepare
- if ! use vanilla; then
- # Fedora patch,
https://bugzilla.gnome.org/show_bug.cgi?id=695371
- epatch "${FILESDIR}"/${PN}-3.16.2-restore-transparency.patch
- # Fedora patch,
https://bugzilla.gnome.org/show_bug.cgi?id=721932
- epatch "${FILESDIR}"/${PN}-3.16.2-restore-dark.patch
- fi
-}
-
src_configure() {
- local myconf=""
-
- if [[ ${PV} != 9999 ]]; then
- myconf="${myconf}
- VALAC=$(type -P true)
- "
- fi
-
gnome2_src_configure \
--disable-static \
--disable-migration \
$(use_enable debug) \
$(use_enable gnome-shell search-provider) \
$(use_with nautilus nautilus-extension) \
- ${myconf}
+ VALAC=$(type -P true)
}
src_install() {
diff --git a/x11-terms/gnome-terminal/gnome-terminal-9999.ebuild
b/x11-terms/gnome-terminal/gnome-terminal-9999.ebuild
index 8673595..e9be986 100644
--- a/x11-terms/gnome-terminal/gnome-terminal-9999.ebuild
+++ b/x11-terms/gnome-terminal/gnome-terminal-9999.ebuild
@@ -25,9 +25,9 @@ fi
# FIXME: automagic dependency on gtk+[X]
RDEPEND="
- >=dev-libs/glib-2.40:2[dbus]
+ >=dev-libs/glib-2.42:2[dbus]
>=x11-libs/gtk+-3.10:3[X]
- >=x11-libs/vte-0.40.2:2.91
+ >=x11-libs/vte-0.42.0:2.91
>=gnome-base/dconf-0.14
>=gnome-base/gsettings-desktop-schemas-0.1.0
sys-apps/util-linux
@@ -52,15 +52,15 @@ DOC_CONTENTS="To get previous working directory inherited
in new opened
tab you will need to add the following line to your ~/.bashrc:\n
. /etc/profile.d/vte.sh"
-src_prepare() {
- gnome2_src_prepare
- if ! use vanilla; then
- # Fedora patch,
https://bugzilla.gnome.org/show_bug.cgi?id=695371
- epatch "${FILESDIR}"/${PN}-3.16.2-restore-transparency.patch
- # Fedora patch,
https://bugzilla.gnome.org/show_bug.cgi?id=721932
- epatch "${FILESDIR}"/${PN}-3.16.2-restore-dark.patch
- fi
-}
+# src_prepare() {
+# gnome2_src_prepare
+# if ! use vanilla; then
+# # Fedora patch,
https://bugzilla.gnome.org/show_bug.cgi?id=695371
+# epatch "${FILESDIR}"/${PN}-3.16.2-restore-transparency.patch
+# # Fedora patch,
https://bugzilla.gnome.org/show_bug.cgi?id=721932
+# epatch "${FILESDIR}"/${PN}-3.16.2-restore-dark.patch
+# fi
+# }
src_configure() {
local myconf=""